Endpoint Examples

/sequences

GET /sequences

Get available sequences.

URL Parameters

NameTypeDescription
datasetIdstringDataset id.
Example: local-test-data

Code Examples

curl --request GET \
     --url https://api.lightcast.io/alumni-pathways/sequences \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "sequences": [
      {
        "sequence": "career_events",
        "fields": [
          "event_order_number"
        ]
      },
      {
        "sequence": "bucketed_career_events",
        "fields": [
          "year_bucket"
        ]
      }
    ]
  }
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

POST /\{sequenceType}

Filter for sequences in a dataset.

URL Parameters

NameTypeDescription
sequenceTypestringIdentifies the sequence type for the requested resource.
Example: bucketed_career_events

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.

Code Examples

curl --request POST \
     --url https://api.lightcast.io/alumni-pathways/sequences/sequenceType \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "sequence": {
      "buckets": [
        {
          "key": null,
          "value": "employment",
          "career_events_estimated_wage": 58474.44
        },
        {
          "key": null,
          "value": "education",
          "career_events_estimated_wage": null
        }
      ],
      "sequence_type": "next",
      "sequence_dimension": "career_events",
      "order_by": "career_events_estimated_wage",
      "field": "event_type",
      "limit": 10
    },
    "totals": {
      "career_events_estimated_wage": 58474.44
    }
  }
}